Qt qtbase 安全漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1795308 漏洞类型 缓冲区错误
发布时间 2019-10-23 更新时间 2020-03-30
CVE编号 CVE-2019-18281 CNNVD-ID CNNVD-201910-1378
漏洞平台 N/A CVSS评分 N/A
|漏洞来源
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-201910-1378
|漏洞详情
Qt qtbase 5.11.x版本和5.12.5之前的5.12.x版本中的qtextengine.cpp文件的‘generateDirectionalRuns()’函数存在缓冲区错误漏洞。该漏洞源于网络系统或产品在内存上执行操作时,未正确验证数据边界,导致向关联的其他内存位置上执行了错误的读写操作。攻击者可利用该漏洞导致缓冲区溢出或堆溢出等。
|参考资料

来源:codereview.qt-project.org

链接:https://codereview.qt-project.org/c/qt/qtbase/+/271889


来源:bugs.launchpad.net

链接:https://bugs.launchpad.net/ubuntu/+source/qtbase-opensource-src/+bug/1848784


来源:bugreports.qt.io

链接:https://bugreports.qt.io/browse/QTBUG-77819


来源:access.redhat.com

链接:https://access.redhat.com/security/cve/cve-2019-18281


来源:nvd.nist.gov

链接:https://nvd.nist.gov/vuln/detail/CVE-2019-18281